org.apache.maven.scm.provider.perforce.command.status

## Class PerforceStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.perforce.command.status.PerforceStatusCommand

All Implemented Interfaces:
  Command, PerforceCommand

    public class PerforceStatusCommand
    extends AbstractStatusCommand
    implements PerforceCommand

Version:
  $Id: PerforceStatusCommand.java 691823 2008-09-03 23:15:13Z vsiveton $
Author:
  Mike Perham

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PerforceStatusCommand()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `createOpenedCommandLine(PerforceScmProviderRepository repo, File workingDirectory, String location)`
`static List` `createResults(String repoPath, PerforceStatusConsumer consumer)`
`protected StatusScmResult` `executeStatusCommand(ScmProviderRepository repo, ScmFileSet files)`

### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceStatusCommand

    public PerforceStatusCommand()

### Method Detail

#### executeStatusCommand

    protected StatusScmResult executeStatusCommand(ScmProviderRepository repo,
                                       ScmFileSet files)
                                            throws ScmException

Specified by:
  `executeStatusCommand` in class `AbstractStatusCommand`
Throws:
  `ScmException`

#### createResults

    public static List createResults(String repoPath,
                     PerforceStatusConsumer consumer)

#### createOpenedCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createOpenedCommandLine(PerforceScmProviderRepository repo,
                                                                   File workingDirectory,
                                                                   String location)